Subject: CAP BEEP channel question

From: "Preston Stephenson" <[email-masked]>
Date: Thu, 16 Oct 2003 11:00:15 -0600

Sorry if I missed this.

Is there an example of starting the CAP BEEP profile?

When I initially wrote my CAP server, I think I patterned my start
exchange after the SASL profiles. Thus:

C: Content-Type: application/beep+xml
C:
C: <start number='3'>
C:   <profile uri='http://iana.org/beep/cap/1.0'/>
C: </start

S: Content-Type: application/beep+xml
S:
S: <profile uri='http://iana.org/beep/cap/1.0'>
S:   <![CDATA[<blob status='complete'/>]]>
S: </profile>

In section 12.1 BEEP Profile Registration, it talks about the initial
message must be the GET-CAPABILITY command.
It doesn't talk about the BEEP Start message exchange.

In section 12.1 there is also a "URI[10]" reference. The "[10]"
reference seems to have been taken from rfc3080.
The reference should probably be changed to "[URI]" to be consistent.

Thanks.
Preston